#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kimagemapeditor
Epoch:          1
Version: 16.12.3
Release:        %mkrel %{rel}
Summary:        HTML imagemap editor for KDE
License:        GPLv2+
Group:          Graphical desktop/KDE
Url:            https://www.kde.org/applications/development/kimagemapeditor/
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:  kdepimlibs4-devel
BuildRequires:  pkgconfig(openssl)

Recommends:     %{name}-handbook

%description
KImageMapEditor is an HTML imagemap editor for KDE. It allows you to create and
modify HTML imagemaps.

%files
%_kde_bindir/kimagemapeditor
%_kde_applicationsdir/kimagemapeditor.desktop
%_kde_appsdir/kimagemapeditor
%_kde_iconsdir/hicolor/*/apps/kimagemapeditor.png
%_kde_iconsdir/hicolor/*/actions/*.png
%_kde_services/kimagemapeditorpart.desktop
%_kde_libdir/kde4/libkimagemapeditor.so

#------------------------------------------------------------------------------

%package        handbook
Summary:        Kimagemapeditor handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{epoch}:%{version}-%{release}

%description    handbook
This package provides kimagemapeditor handbook.

%files handbook
%doc %_kde_docdir/HTML/en/kimagemapeditor

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=%_kde_bindir/ld.gold
%cmake_kde4

%make_build

%install
%make_install -C build


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090073
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076809
- New version 16.12.0

* Thu Dec 15 2016 daviddavid <daviddavid> 1:16.11.90-1.mga6
+ Revision: 1075417
- imported package kimagemapeditor

